WAITPID(1)

NAMN
waitpid - verktyg för att vänta på godtyckliga processer

SYNOPSIS

waitpid [-v] [--timeout|-t seconds] PID[:inode]...

BESKRIVNING

waitpid är ett enkelt kommando för att vänta på godtyckliga processer som inte är barnprocesser.

Den avslutas efter att alla processer vars PID:er har angetts som argument har avslutats.

Optionally, a process can be addressed with the format PID:inode. The inode identifies the unique process’s file descriptor. To retrieve a process’s inode number you can use the getino(1) utility.

FLAGGOR

-v, --verbose
    Var mer utförlig.

-t, --timeout seconds
    Maximal väntetid.

-e, --exited
    Gör inte fel på redan avslutade PID:er.

-c, --count count
    Antal processavslut att vänta på.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

waitpid har följande värden för utgångsstatus:

0
    lyckades

1
    ospecificerat fel

2
    systemet tillhandahåller inte nödvändig funktionalitet

3
    timeout har löpt ut

UPPHOVSPERSONER

SE ÄVEN

waitpid(2) wait(1P) getino(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot waitpid ingår i paketet util-linux som kan hämtas från